import { EventEmitter, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { ChartProvider, ChartView } from '@oneteme/jquery-core';
import { ChartCustomEvent } from './utils';
import * as i0 from "@angular/core";
export declare class PieChartDirective implements ChartView<string, number>, OnChanges, OnDestroy {
    private readonly el;
    private readonly ngZone;
    private readonly chartInstance;
    private readonly subscription;
    private _chartConfig;
    private _options;
    private _type;
    debug: boolean;
    data: any[];
    customEvent: EventEmitter<ChartCustomEvent>;
    set isLoading(isLoading: boolean);
    set type(type: 'pie' | 'donut' | 'polar' | 'radar' | 'radial');
    set config(config: ChartProvider<string, number>);
    constructor();
    init(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private hydrate;
    private updateType;
    private configureTypeSpecificOptions;
    private updateData;
    static ɵfac: i0.ɵɵFactoryDeclaration<PieChartDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PieChartDirective, "[pie-chart]", never, { "debug": { "alias": "debug"; "required": false; }; "data": { "alias": "data"; "required": true; }; "isLoading": { "alias": "isLoading"; "required": false; }; "type": { "alias": "type"; "required": false; }; "config": { "alias": "config"; "required": false; }; }, { "customEvent": "customEvent"; }, never, never, true, never>;
}
