import { EventEmitter, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { ChartProvider, ChartView, XaxisType } from '@oneteme/jquery-core';
import { ChartCustomEvent } from './utils';
import * as i0 from "@angular/core";
export declare class RangeChartDirective<X extends XaxisType> implements ChartView<X, number[]>, OnChanges, OnDestroy {
    private readonly el;
    private readonly ngZone;
    private readonly chartInstance;
    private readonly subscription;
    private _chartConfig;
    private _options;
    private _type;
    private _canPivot;
    debug: boolean;
    data: any[];
    customEvent: EventEmitter<ChartCustomEvent>;
    set isLoading(isLoading: boolean);
    set canPivot(canPivot: boolean);
    get canPivot(): boolean;
    set type(type: 'rangeArea' | 'rangeBar' | 'rangeColumn');
    set config(config: ChartProvider<X, number[]>);
    constructor();
    init(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private hydrate;
    private updateType;
    private configureTypeSpecificOptions;
    private updateData;
    static ɵfac: i0.ɵɵFactoryDeclaration<RangeChartDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RangeChartDirective<any>, "[range-chart]", never, { "debug": { "alias": "debug"; "required": false; }; "data": { "alias": "data"; "required": true; }; "isLoading": { "alias": "isLoading"; "required": false; }; "canPivot": { "alias": "canPivot"; "required": false; }; "type": { "alias": "type"; "required": false; }; "config": { "alias": "config"; "required": false; }; }, { "customEvent": "customEvent"; }, never, never, true, never>;
}
